Subject: Re: Need source for Leptosperumu scoparium

From: [email-masked]
Date: 15 Jun 1995 18:01:31 GMT

A few specialty nurseries carry Leptospermum and many can order such
plants( Village Nursery in CA for example). Which cultivar of L.s. are you
looking for?  A lot of breeding has been done in New Zealand where the
plants are native. I have a seed source in Australia for Aus. and NZ
natives. However you are better off ordering the plants from a local
nursery. Most all the plants from the nursery are L. s. however florists
use a relatively new hybrid of L. s. and L. rotundifolium. 

In article <[email-masked]>, [email-masked]
(Edward Immler) wrote:

> I'm looking for a source for Leptospermum scoparium.  Plants or seeds are
> fine.  If the source is outside of the U.S., seeds would be preferred.
> Thanks in advance.
> Edward Immler